Debian Bug report logs - #321693
RM: vaiostat -- RoM; RC-buggy, no maintainer, inactive upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Henning Makholm <henning@makholm.net>

Date: Sat, 6 Aug 2005 23:33:05 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, apollock@debian.org, <wnpp@debian.org>:
Bug#321693; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
New Bug report received and forwarded. Copy sent to apollock@debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: vaiostat-source -- kernel module for Sony Vaio laptops
Date: Sun, 07 Aug 2005 01:24:27 +0200
Package: wnpp
Severity: normal

Since I don't have a Vaio anymore I am unable to test this package
properly. I think it should be adopted by someone who can.

Package description:
  This module creates some entries in /proc/vaio concerning battery and
  power usage information, and LCD brightness levels on Sony Vaio
  laptops.

  Although on newer laptops some of this information is handled by
  ACPI as well, this module is required for some older ones, and still
  works on the newer ones.  Recent kernel sources include a SONYPI
  module that provides similar functionality to this one, but it
  cannot change LCD brightness on some laptops where this module
  works.

The module is effectively dead upstream (upstream author also lost his
Vaio). When I took over the package (because the previous maintainer
lost his Vaio) I tried to rewrite the module's build system for 2.6.x
kernels, but didn't manage to make it really sleek - it only works
reliably when used with kernel-package. There's an open bug (#296566)
caused by me forgetting to adjust the build instructions in the README
file. When I tried to improve the instructions I discovered that my
rewritten build system should never have worked at all.  It may be an
advantage to have prior experience with kernel modules and interfacing
with the kernel build system than I do, but do not let it stop you if
you have none - I haven't either.

Warning: if the historical record is any guide, involvement with this
package will cause you to lose your Vaio.

-- 
Henning Makholm



Changed Bug title. Request was from Frank Lichtenheld <djpig@merkel.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Henning Makholm <henning@makholm.net>:
Bug#321693. Full text and rfc822 format available.

Message #10 received at 321693-submitter@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@merkel.debian.org>
To: control@bugs.debian.org
Cc: 321693-submitter@bugs.debian.org
Subject: Fixing WNPP problems
Date: Wed, 10 Aug 2005 10:01:10 -0600
# Binary package vaiostat-source used instead of source package vaiostat
retitle 321693 RFA: vaiostat -- kernel module for Sony Vaio laptops
thanks

There were some problems in the way you filed this WNPP bug.  Please see
http://www.debian.org/devel/wnpp for instructions.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#321693; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 321693@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: debian-qa@lists.debian.org
Cc: henning@makholm.net, apollock@debian.org, 321693@bugs.debian.org
Subject: Can vaiostat be removed?
Date: Wed, 08 Nov 2006 20:06:12 +0100
[Message part 1 (text/plain, inline)]
Hi all,

The vaiostat package:

* Is not in testing;
* Is RC-buggy;
* Has been up for adoption for well over a year;
* Is inactive upstream.

Since the RFA has had no takers and the package is not in Etch, I think
it might be better to remove it rather than keep it in sid. Opinions,
especially from the maintainers?


Thijs
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#321693; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 321693@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: debian-qa@lists.debian.org, henning@makholm.net, 321693@bugs.debian.org
Subject: Re: Can vaiostat be removed?
Date: Thu, 9 Nov 2006 05:26:55 +1000
[Message part 1 (text/plain, inline)]
On Wed, Nov 08, 2006 at 08:06:12PM +0100, Thijs Kinkhorst wrote:
> Hi all,
> 
> The vaiostat package:
> 
> * Is not in testing;
> * Is RC-buggy;
> * Has been up for adoption for well over a year;
> * Is inactive upstream.
> 
> Since the RFA has had no takers and the package is not in Etch, I think
> it might be better to remove it rather than keep it in sid. Opinions,
> especially from the maintainers?

No skin off my nose. Feel free.

regards

Andrew
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#321693; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 321693@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: Andrew Pollock <apollock@debian.org>
Cc: debian-qa@lists.debian.org, henning@makholm.net, 321693@bugs.debian.org, control@bugs.debian.org
Subject: Re: Can vaiostat be removed?
Date: Wed, 08 Nov 2006 21:04:00 +0100
[Message part 1 (text/plain, inline)]
reassign 321693 ftp.debian.org
retitle 321693 RM: vaiostat -- RoM; RC-buggy, no maintainer, inactive upstream
thanks

On Thu, 2006-11-09 at 05:26 +1000, Andrew Pollock wrote:
> No skin off my nose. Feel free.

Ok, doing so (and labeling RoM seems appropriate).

thanks,
Thijs
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#321693; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 321693@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: debian-qa@lists.debian.org, apollock@debian.org, 321693@bugs.debian.org
Subject: Re: Can vaiostat be removed?
Date: Wed, 8 Nov 2006 21:58:48 +0100
Scripsit Thijs Kinkhorst

> Since the RFA has had no takers and the package is not in Etch, I think
> it might be better to remove it rather than keep it in sid. Opinions,
> especially from the maintainers?

Go ahead. As the last active maintainer, I have been meaning to file
for removal for some time, except that I was (and am) snowed under by
my day job.

-- 
Henning Makholm                       "Take a sad song, and make it bitter."



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Henning Makholm <henning@makholm.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 321693-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 321693-close@bugs.debian.org
Cc: vaiostat@packages.debian.org, vaiostat@packages.qa.debian.org
Subject: Bug#321693: fixed
Date: Sat, 23 Dec 2006 12:05:10 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  vaiostat |      1.2-7 | source
vaiostat-source |      1.2-7 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 321693@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 23:43:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:26:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.